Should I update my CIOS? GCN Backups?

Discussion in 'Wii - Hacking' started by ayojoe, Aug 21, 2010.

Aug 21, 2010
  1. ayojoe
    OP

    Newcomer ayojoe Advanced Member

    Joined:
    May 15, 2009
    Messages:
    71
    Country:
    United States
    Hey everyone, haven't really been into the whole CIOS discussion for a long time (I believe my current version is CIOS36rev10) so I wanted to know if I should update. My IOS36 is trucha-patched and I usually use that and IOS249 to install WAD files. I've read that some new versions either enable/disable: USB support, NAND/Triiforce Emulation, IOS Reload Blocking etc... And I also want to know if I should consider installing Hermes CIOS for any reason.

    If I update, this is the following of what I would want to have:

    1. Install WAD files like how I've always been doing

    2. Block IOS Reloading so I can use Gecko OS cheats on Metroid Prime Trilogy (among other IOS reloading games in the future)

    3. Best support for USB Loading Games/Burned Games

    4. Don't really care for NAND/VC/WiiWare Emulation but it would be nice to have it.

    Which Waninkoko CIOS is best for all of the above, should I just wait for rev21? What use is there to get Hermes CIOS? Any other information about this stuff will be appreciated. Also on a side note, if I want to do GameCube backups, do I just need to run CMIOS rev5 and get a GC Backup Loader? Thanks for your time.
     
  2. WiiPower

    Member WiiPower GBAtemp Guru

    Joined:
    Oct 17, 2008
    Messages:
    8,165
    Country:
    Germany
    "1. Install WAD files like how I've always been doing"

    - Install IOS236(Trucha Bug Restorer, IOS36, all 4 patches, slot 236), and use that for WAD Manager, system tools and cIOS installers, way too much hassle to find a cIOS with wanted features that doesn't mess something up

    "2. Block IOS Reloading so I can use Gecko OS cheats on Metroid Prime Trilogy (among other IOS reloading games in the future2)"

    - No Gecko OS for cIOS users! With DarkCrap you could use Gecko OS + MPT + Ocarina. With cIOSrev20 + NeoGamma, the game boots, Ocarina would survive the IOS Reload, but the IOS Reload block in rev20 doesn't fix 002 error...

    "3. Best support for USB Loading Games/Burned Games"

    - cIOS rev 20 with the bases 37,38,56 and 57 each have their advantages, i recommend to try 56, and only try the others on issues(1 usb mic game, maybe wifi issues, HDD compatiblity different)
    Oh and there's always Hermes cIOS as alternative, there i recommend to try 37+38 first.

    "4. Don't really care for NAND/VC/WiiWare Emulation but it would be nice to have it."

    - cIOS rev17 + TriiForce(bad compatiblity now). Or Hermes' solution(no idea about it). Or sneek/uneek(should have a very high compatiblity).
     
  3. ayojoe
    OP

    Newcomer ayojoe Advanced Member

    Joined:
    May 15, 2009
    Messages:
    71
    Country:
    United States
    Wow dude thanks for the quick reply and detailed info. I forgot to mention I'm on System Menu 4.0

    1. It seems pretty easy to install/patch IOS236, and then use it to install WADs. Would this replace using the standard IOS249 just incase a certain CIOS renders it unable to install WADs? In other words, WADs on IOS236 will always work this way?

    2. I'd really rather not install anything like CIOSCORP/DARKCORP. I don't want my entire Wii IOS Files to be patched with stuff. How did this guy right here load MPT with Gecko OS codes? I've tried contacting him numerous times but he won't respond to anyone.

    3. What does Hermes CIOS add? Like what use does it provide and why does it use IOS 202, 222, 223 etc..? I see a lot of apps and loaders requiring it.

    4. For GC Backups, do I just have to install the latest CMIOS rev5, and then just run a GC loader?
     
  4. FIX94

    Global Moderator FIX94 Global Moderator

    Joined:
    Dec 3, 2009
    Messages:
    6,539
    Location:
    ???
    Country:
    Germany
    1. Yes, IOS236 would be able to install every wad.
    2. This guy is using DARKCORP [​IMG] Really man, there is no problem with installing DARKCORP.
    3. Hermes cIOS and uLoader is the alternative to waninkoko's cIOS and the other loaders.
    4. NOT waninkoko's cMIOS v5, to load GC games use the recommend cMIOS and the latest NeoGamma beta from HERE
     
  5. smf

    Member smf GBAtemp Advanced Fan

    Joined:
    Feb 23, 2009
    Messages:
    838
    Country:
    United Kingdom
    That is not entirely accurate.
     
  6. Arm the Homeless

    Member Arm the Homeless Custom Title

    Joined:
    May 26, 2008
    Messages:
    1,762
    Location:
    /home/andy/
    Country:
    United States
    It's not accurate at all.

    It's a terrible failpack which only makes developers' jobs harder just because you're too lazy to load up a backup launcher.
     
  7. s3phir0th115

    Member s3phir0th115 GBAtemp Advanced Fan

    Joined:
    Dec 31, 2008
    Messages:
    700
    Country:
    United States
    Before I wouldn't have called it a "fail pack" but it's come to my attention that even some official stuff doesn't work properly with darkcorp , not just things using exploits.

    Of course, I'm not at all opposed to having custom IOSes, I just don't think EVERYTHING should be one.
     
  8. WiiPower

    Member WiiPower GBAtemp Guru

    Joined:
    Oct 17, 2008
    Messages:
    8,165
    Country:
    Germany
    1. Yes it will just work, no more hassle. It's also able to downgrade stuff, so you never need to delete stubs or whatever.

    2. I didn't watch the video, but if he uses Gecko OS, he either has cioscorp/darkcrap installed, or a modchip. Sorry, as far as i see that's the only way to do it right now. But you can try cIOS rev20 + NeoGamma + IOS Reload block (try both methods) + Ocarina.

    3. Mostly it's just an alternative, i'm no Hermes expert, so i can't say too much about it. I think it also has a nand emu for savegames, not sure. You should be able to get all games to work with both Hermes and Waninkokos cIOS. I mean you can decide which one you use, and get all games to work with it. Hmm, the latest games with that camerea might be incompatible at the moment.

    4. I'm working hard at improving GC launching, and that requires WiiGator's cMIOS + NeoGamma + GC mode internal. I think i'm close to getting NeoGamma to be superior over the 2 other GC backup launchers(WiiGator and Waninkoko) in just every aspect. (missing part is Action Replay)
     
  9. ayojoe
    OP

    Newcomer ayojoe Advanced Member

    Joined:
    May 15, 2009
    Messages:
    71
    Country:
    United States
    Ah I see. Well the guy in the video was using an older version of Gecko OS, I figured it had compatibility with CIOS for blocking IOS Reloading.

    Will there ever be a CIOS that fixes IOS Reloading with Gecko OS? I really don't wanna install darkcrap, but I'm open to try your cIOSrev20/NeoGamma method.

    Also, along with your GC Backup, is there a solid way for Gecko Codes to be used on GameCube games? I read on the Gecko forums that the support was not strong and kept on freezing games.
     
  10. WiiPower

    Member WiiPower GBAtemp Guru

    Joined:
    Oct 17, 2008
    Messages:
    8,165
    Country:
    Germany
    I don't know how stable Ocarina on gamecube games works, i guess it coule be better, as it's using an old code handler which is said to have 1-2 bugs. I can gurantee you that Ocarina on retail games works more stable than on backups.
     

Share This Page